dab_measure_ber_b Class Reference

Measure bit error rate of a byte stream. More...

`#include <dab_measure_ber_b.h>`

Inheritance diagram for dab_measure_ber_b:
[legend]

## Public Member Functions

void | clear ()
float | ber ()
unsigned long | bytecount ()
unsigned long | bitcount ()
unsigned long | errorcount ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Protected Member Functions

unsigned int | bits_set (char byte)
| dab_measure_ber_b ()

## Friends

dab_measure_ber_b_sptr | dab_make_measure_ber_b ()

## Detailed Description

Measure bit error rate of a byte stream.

input: port 0: actual byte stream input: port 1: expected byte stream

## Constructor & Destructor Documentation

## dab_measure_ber_b()

dab_measure_ber_b::dab_measure_ber_b | ( |  | ) |

protected

## Member Function Documentation

## ber()

float dab_measure_ber_b::ber | ( |  | ) |

inline

Returns
  bit error rate

## bitcount()

unsigned long dab_measure_ber_b::bitcount | ( |  | ) |

inline

Returns
  number of received bits

## bits_set()

unsigned int dab_measure_ber_b::bits_set | ( | char | byte | ) |

protected

## bytecount()

unsigned long dab_measure_ber_b::bytecount | ( |  | ) |

inline

Returns
  number of received bytes

## clear()

void dab_measure_ber_b::clear | ( |  | ) |

inline

clear error and byte count

## errorcount()

unsigned long dab_measure_ber_b::errorcount | ( |  | ) |

inline

Returns
  number of received bits with errors

## work()

int dab_measure_ber_b::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Friends And Related Symbol Documentation

## dab_make_measure_ber_b

dab_measure_ber_b_sptr dab_make_measure_ber_b | ( |  | ) |

friend

The documentation for this class was generated from the following file:

- dab_measure_ber_b.h